Subject: Re: [RFC PATCH 00/04]: VLAN vs. packet socket inconsistencies

From: Patrick McHardy <[email-masked]>
Date: Wed, 09 Jul 2008 00:48:38 +0200

David Miller wrote:
> From: David Miller <[email-masked]>
> Date: Tue, 08 Jul 2008 15:35:10 -0700 (PDT)
>
>   
>> From: Patrick McHardy <[email-masked]>
>> Date: Wed, 09 Jul 2008 00:30:04 +0200
>>
>>     
>>> That sounds good. Userspace needs to know about the size of
>>> the tpacket_hdr before setting the ring parameters so it can
>>> size the ring frames appropriately for the largest packet size
>>> it wants to receive. This means the offset field in the
>>> tpacket_hdr is redundant, so I'll just add a getsockopt
>>> option for getting the size. Unless we want to be able to
>>> include only a partial tpacket_hdr, but I don't think that
>>> would be very useful.
>>>       
>> Ok, in that case using a getsockopt() to query the size sounds great.
>>     
>
> BTW, what you might want to do is say that if the user
> makes the new getsockopt() size query, he understands
> and wants the new style tpacket_hdr layout.
>   

I'm torn between "nice hack" and "doesn't belong there".
I'll see how I feel about this once I get to that point :)